import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const face = g.append('ellipse')
  .attr("cx", 0)
  .attr("cy", 0)
  .attr("rx", 200)
  .attr("ry", 250)
  .style("fill-opacity", .40) 
  .style("stroke", "black")  
  .style("fill", "#5F4B8B"); 

const eyeSpacing = 100;
const eyePupilSpaceing = 110;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyePupilRadius = 5;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const leftEyePupil = eyesG
  .append('circle')
    .attr('r', eyePupilRadius)
    .attr('cx', -eyeSpacing)
	.style('fill', 'white');

const rightEyePuile = eyesG
  .append('circle')
    .attr('r', eyePupilRadius)
    .attr('cx', eyeSpacing-10)
	.style('fill', 'white');

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`)
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`)
  //.on("end", repeat);

const leftEyebrow = eyebrowsG
    .append("polyline")     
    .style("stroke", "black")
    .style("fill", "black")
	.attr("stroke-width", 4)
    .attr("points", "-150,0,-60,-20,-140,10");
           
const rightEyebrow = eyebrowsG
    .append("polyline")     
    .style("stroke", "black")
    .style("fill", "black")
	.attr("stroke-width", 4)
    .attr("points", "150,0,60,-20,140,10");


const mouth = g
  .append('g')
  .append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 160,
      startAngle: 2.1 * Math.PI,
      endAngle: 1.9 * Math.PI   
    }))
    .attr('transform', `translate(0, 210)`)
    .transition().duration(2000)
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 160,
      startAngle: 2.2 * Math.PI,
      endAngle: 1.8 * Math.PI   
    }));